"""Datasets in the Monash tser data archives."""

tser_monash = {
    "AppliancesEnergy": 3902637,
    "HouseholdPowerConsumption1": 3902704,
    "HouseholdPowerConsumption2": 3902706,
    "BenzeneConcentration": 3902673,
    "BeijingPM25Quality": 3902671,
    "BeijingPM10Quality": 3902667,
    "LiveFuelMoistureContent": 4632439,
    "FloodModeling1": 3902694,
    "FloodModeling2": 3902696,
    "FloodModeling3": 3902698,
    "AustraliaRainfall": 3902654,
    #    "PPGDalia": 3902728, #this dataset has unequal length within a case, and this
    #    format is not supported by aeon
    "IEEEPPG": 3902710,
    "BIDMC32RR": 4001463,
    "BIDMC32HR": 4001456,
    "BIDMC32SpO2": 4001464,
    "NewsHeadlineSentiment": 3902718,
    "NewsTitleSentiment": 3902726,
    "Covid3Month": 3902690,
}

tser_soton = [
    "AcousticContaminationMadrid",
    "AluminiumConcentration",
    "AppliancesEnergy",
    "AustraliaRainfall",
    "BarCrawl6min",
    "BeijingIntAirportPM25Quality",
    "BeijingPM10Quality",
    "BeijingPM25Quality",
    "BenzeneConcentration",
    "BIDMC32HR",
    "BIDMC32RR",
    "BIDMC32SpO2",
    "BinanceCoinSentiment",
    "BitcoinSentiment",
    "BoronConcentration",
    "CalciumConcentration",
    "CardanoSentiment",
    "ChilledWaterPredictor",
    "CopperConcentration",
    "Covid19Andalusia",
    "Covid3Month",
    "DailyOilGasPrices",
    "DailyTemperatureLatitude",
    "DhakaHourlyAirQuality",
    "ElectricityPredictor",
    "ElectricMotorTemperature",
    "EthereumSentiment",
    "FloodModeling1",
    "FloodModeling2",
    "FloodModeling3",
    "GasSensorArrayAcetone",
    "GasSensorArrayEthanol",
    "HotwaterPredictor",
    "HouseholdPowerConsumption1",
    "HouseholdPowerConsumption2",
    "IEEEPPG",
    "IronConcentration",
    "LiveFuelMoistureContent",
    "LPGasMonitoringHomeActivity",
    "MadridPM10Quality",
    "MagnesiumConcentration",
    "ManganeseConcentration",
    "MethaneMonitoringHomeActivity",
    "MetroInterstateTrafficVolume",
    "NaturalGasPricesSentiment",
    "NewsHeadlineSentiment",
    "NewsTitleSentiment",
    "OccupancyDetectionLight",
    "ParkingBirmingham",
    "PhosphorusConcentration",
    "PotassiumConcentration",
    "PPGDalia",
    "PrecipitationAndalusia",
    "SierraNevadaMountainsSnow",
    "SodiumConcentration",
    "SolarRadiationAndalusia",
    "SteamPredictor",
    "SulphurConcentration",
    "TetuanEnergyConsumption",
    "VentilatorPressure",
    "WaveDataTension",
    "WindTurbinePower",
    "ZincConcentration",
]

tser_soton_clean = [
    "AcousticContaminationMadrid_nmv",
    "AluminiumConcentration",
    "AppliancesEnergy",
    "AustraliaRainfall",
    "BarCrawl6min",
    "BeijingIntAirportPM25Quality",
    "BeijingPM10Quality_nmv",
    "BeijingPM25Quality_nmv",
    "BenzeneConcentration_nmv",
    "BIDMC32HR",
    "BIDMC32RR",
    "BIDMC32SpO2",
    "BinanceCoinSentiment",
    "BitcoinSentiment",
    "BoronConcentration",
    "CalciumConcentration",
    "CardanoSentiment",
    "ChilledWaterPredictor",
    "CopperConcentration",
    "Covid19Andalusia",
    "Covid3Month",
    "DailyOilGasPrices",
    "DailyTemperatureLatitude",
    "DhakaHourlyAirQuality",
    "ElectricityPredictor",
    "ElectricMotorTemperature",
    "EthereumSentiment",
    "FloodModeling1",
    "FloodModeling2",
    "FloodModeling3",
    "GasSensorArrayAcetone",
    "GasSensorArrayEthanol",
    "HotwaterPredictor",
    "HouseholdPowerConsumption1_nmv",
    "HouseholdPowerConsumption2_nmv",
    "IEEEPPG",
    "IronConcentration",
    "LiveFuelMoistureContent",
    "LPGasMonitoringHomeActivity",
    "MadridPM10Quality_nmv",
    "MagnesiumConcentration",
    "ManganeseConcentration",
    "MethaneMonitoringHomeActivity",
    "MetroInterstateTrafficVolume",
    "NaturalGasPricesSentiment",
    "NewsHeadlineSentiment",
    "NewsTitleSentiment",
    "OccupancyDetectionLight",
    "ParkingBirmingham_eq",
    "PhosphorusConcentration",
    "PotassiumConcentration",
    "PPGDalia_eq",
    "PrecipitationAndalusia_nmv",
    "SierraNevadaMountainsSnow",
    "SodiumConcentration",
    "SolarRadiationAndalusia_nmv",
    "SteamPredictor",
    "SulphurConcentration",
    "TetuanEnergyConsumption",
    "VentilatorPressure",
    "WaveDataTension",
    "WindTurbinePower",
    "ZincConcentration",
]

tser_soton_unequal_length = [
    "ParkingBirmingham",
    "PPGDalia",
]
tser_soton_missing_values = [
    "AcousticContaminationMadrid",
    "BeijingPM10Quality",
    "BeijingPM25Quality",
    "BenzeneConcentration",
    "HouseholdPowerConsumption1",
    "HouseholdPowerConsumption2",
    "MadridPM10Quality",
    "PrecipitationAndalusia",
    "SolarRadiationAndalusia",
]
