"""Dictionaries of expected outputs of transform runs."""

import numpy as np

# transform results on unit test data
unit_test_result = dict()

# transform results on basic motions data
basic_motions_result = dict()


unit_test_result["RandomShapeletTransform"] = np.array(
    [
        [0.0233, 0.0501, 0.0, 0.0258],
        [0.0139, 0.0, 0.0332, 0.0608],
        [0.0475, 0.0765, 0.0327, 0.0],
        [0.0, 0.0109, 0.1106, 0.1042],
        [0.0187, 0.0415, 0.0123, 0.0506],
    ]
)

basic_motions_result["RandomShapeletTransform"] = np.array(
    [
        [0.0, 1.7079, 1.5889, 2.1662, 1.7085, 1.6633, 1.979],
        [2.2044, 2.1894, 1.9554, 0.0, 2.0892, 2.081, 1.7533],
        [2.2153, 1.9426, 0.0, 2.3327, 0.0, 2.0807, 1.9557],
        [1.6543, 1.8253, 1.9892, 1.7069, 1.9901, 0.0, 0.0],
        [1.108, 0.0, 1.9531, 2.0781, 1.9999, 1.934, 1.9709],
    ]
)
basic_motions_result["RandomIntervals"] = np.array(
    [
        [
            -0.0625,
            0.463,
            -1.1905,
            0.7697,
            0.0772,
            -0.4248,
            0.2677,
            -0.3889,
            0.3868,
            -0.7537,
            0.1465,
            -0.5593,
            -0.6565,
            -0.2064,
            -0.059,
            1.0836,
            -1.4622,
            1.2571,
            0.1358,
            -1.1146,
            0.9428,
        ],
        [
            0.2498,
            2.7653,
            -10.5603,
            5.5052,
            0.5966,
            -0.7271,
            1.614,
            -2.935,
            0.5771,
            -3.742,
            -2.4263,
            -2.6367,
            -3.1894,
            -2.5315,
            0.0129,
            1.7845,
            -1.9629,
            3.513,
            -0.7191,
            -1.1959,
            0.8256,
        ],
        [
            0.0094,
            0.0422,
            -0.1358,
            0.1252,
            0.0107,
            -0.016,
            0.0373,
            0.0426,
            0.0377,
            -0.0107,
            0.0692,
            0.0692,
            0.0293,
            0.0692,
            0.043,
            0.167,
            -0.2211,
            0.2051,
            0.1545,
            -0.1012,
            0.1824,
        ],
        [
            0.1836,
            2.2953,
            -3.0522,
            6.5785,
            -0.2397,
            -1.3783,
            0.8882,
            3.8876,
            1.1463,
            2.2665,
            4.6982,
            4.6982,
            3.4824,
            4.6982,
            -1.0509,
            5.7932,
            -9.5668,
            8.8158,
            0.1998,
            -5.4826,
            2.0801,
        ],
        [
            0.0154,
            0.6163,
            -1.2038,
            1.5181,
            0.032,
            -0.4195,
            0.522,
            -0.261,
            0.1556,
            -0.4474,
            -0.0666,
            -0.269,
            -0.3582,
            -0.1678,
            0.7495,
            0.9367,
            -0.578,
            1.8537,
            0.2797,
            0.0945,
            1.7512,
        ],
    ]
)
basic_motions_result["SupervisedIntervals"] = np.array(
    [
        [
            0.9494,
            1.6732,
            1.0391,
            0.96,
            0.7682,
            0.7682,
            -0.1947,
            0.6536,
            0.6536,
            0.5485,
            0.6011,
            0.497,
            0.7913,
            -0.1337,
            1.1643,
            0.9494,
            0.7207,
            0.3188,
            -0.0019,
            -0.0069,
            0.0133,
            0.0296,
            0.1986,
            0.263,
            0.023,
            -0.1014,
            0.1389,
            -1.0121,
            -0.8239,
            -0.8239,
            -0.2508,
            -0.2508,
            2.7955,
            1.2554,
            3.2893,
            3.0597,
            2.3083,
            1.8018,
            1.6039,
            2.7194,
            0.7663,
            0.8012,
            0.8271,
            20.0,
            14.0,
            10.0,
            7.0,
            3.0,
            1.0,
            3.0,
            1.0,
            18.0,
            15.0,
            6.0,
            2.0,
            27.0,
            14.0,
            6.0,
            4.0,
            2.0,
            -0.1778,
            -0.7133,
            -0.4013,
            0.898,
            0.041,
            -1.6461,
            -0.7393,
            0.8435,
            -2.3992,
            2.8682,
            1.2362,
            0.0034,
            0.235,
            -0.7634,
            -0.0122,
            0.7082,
            -0.7639,
            1.1772,
            1.3238,
            -5.2175,
            -5.2175,
            -5.2175,
            -4.5975,
            -3.4828,
            3.0247,
            0.2481,
            0.2481,
            -1.3266,
            6.6294,
            7.1917,
            1.9512,
            3.1426,
            8.0,
            4.0,
            3.0,
            3.0,
            1.0,
            1.0,
            4.0,
            2.0,
            1.0,
            2.0,
            16.0,
            4.0,
            2.0,
            0.3777,
            -0.2039,
            -0.7528,
            -0.7464,
            0.1646,
            0.1646,
            -0.2617,
            -0.3543,
            -0.4679,
            -0.5002,
            -0.4679,
            0.6483,
            0.6564,
            0.2442,
            0.2266,
            -0.0509,
            -0.1257,
            0.0029,
            0.0004,
            -0.0569,
            0.0189,
            -0.5616,
            0.0892,
            -1.0528,
            -1.0528,
            -1.0528,
            2.3167,
            -0.1873,
            -0.1873,
            0.7909,
            1.3102,
            0.4755,
            0.7983,
            0.6758,
            0.7172,
            12.0,
            7.0,
            4.0,
            1.0,
            16.0,
            11.0,
            8.0,
            5.0,
            1.0,
            4.0,
            2.0,
            0.3241,
            0.3265,
            -0.0412,
            -0.0216,
            -0.0226,
            0.4558,
            0.3802,
            -0.0493,
            -0.1159,
            0.0852,
            0.0519,
            0.3249,
            0.4601,
            0.5201,
            0.3161,
            0.2221,
            0.5283,
            0.6016,
            0.5441,
            0.4828,
            0.3442,
            0.0368,
            0.1468,
            0.0012,
            -0.0026,
            -0.0154,
            -0.0118,
            -0.0648,
            0.4927,
            -0.5566,
            -0.5566,
            -0.57,
            -0.57,
            1.3903,
            1.0387,
            0.6765,
            0.1944,
            0.309,
            0.7424,
            1.2092,
            0.3722,
            0.4341,
            5.0,
            2.0,
            1.0,
            1.0,
            11.0,
            1.0,
            1.0,
            23.0,
            6.0,
            3.0,
            19.0,
            12.0,
            7.0,
            4.0,
            2.0,
            -0.242,
            -0.1177,
            0.1538,
            -0.1001,
            0.2122,
            0.1638,
            0.1638,
            -0.4022,
            0.1784,
            -0.2197,
            -0.7138,
            0.413,
            0.1289,
            0.4288,
            0.4809,
            0.3654,
            -0.0028,
            0.0022,
            0.0615,
            -0.2184,
            0.0306,
            -0.1814,
            -0.6499,
            -0.9482,
            -0.9482,
            -0.9482,
            -0.9482,
            -0.9482,
            0.2104,
            0.2104,
            0.1358,
            0.506,
            0.787,
            0.6898,
            0.3715,
            0.2337,
            0.4461,
            3.0,
            1.0,
            1.0,
            3.0,
            2.0,
            2.0,
            1.0,
            13.0,
            8.0,
            6.0,
            2.0,
            11.0,
            2.0,
            -0.0361,
            -0.17,
            0.9821,
            -0.0013,
            -0.5893,
            -0.016,
            1.0733,
            2.0481,
            1.9051,
            1.4469,
            0.0175,
            0.0268,
            0.1376,
            0.1117,
            -0.3489,
            0.2024,
            -0.0472,
            0.3031,
            -4.2587,
            -4.2587,
            -1.9922,
            -1.9922,
            -1.9922,
            -1.6486,
            -1.6486,
            -1.6486,
            2.3518,
            2.2026,
            2.2026,
            2.2639,
            2.2639,
            2.1627,
            2.1627,
            1.8457,
            2.3704,
            2.6154,
            3.0296,
            0.3675,
            1.1492,
            6.0,
            3.0,
            3.0,
            2.0,
            1.0,
            1.0,
            4.0,
            2.0,
            9.0,
            3.0,
            2.0,
        ],
        [
            6.0535,
            6.2769,
            2.2565,
            4.2556,
            6.2258,
            3.5208,
            3.1372,
            4.1221,
            4.5743,
            4.5743,
            4.5919,
            4.2521,
            4.6831,
            16.8099,
            5.6034,
            6.7757,
            5.1158,
            4.715,
            -0.083,
            -0.0611,
            -0.4447,
            -0.7826,
            1.9572,
            -1.9263,
            -0.9466,
            0.347,
            -3.9482,
            -1.7914,
            0.8383,
            9.6953,
            0.2614,
            5.2193,
            20.7308,
            20.7308,
            29.2109,
            29.2109,
            29.2109,
            29.2109,
            10.4958,
            0.8722,
            0.6894,
            9.9955,
            10.9182,
            13.0,
            5.0,
            4.0,
            1.0,
            3.0,
            2.0,
            1.0,
            2.0,
            17.0,
            14.0,
            7.0,
            4.0,
            20.0,
            9.0,
            5.0,
            3.0,
            3.0,
            -1.7236,
            -2.448,
            -0.9093,
            -1.0153,
            -1.2503,
            -0.2471,
            0.2059,
            2.9726,
            5.4082,
            5.6692,
            2.465,
            0.0705,
            0.0392,
            -1.9194,
            0.2469,
            1.1635,
            2.3408,
            -10.3288,
            -0.9911,
            -17.0329,
            -17.0329,
            -17.0329,
            -17.0329,
            -17.0329,
            -17.0329,
            0.5586,
            -0.2471,
            0.2059,
            6.4064,
            5.3128,
            3.6086,
            0.9134,
            15.0,
            8.0,
            3.0,
            3.0,
            1.0,
            1.0,
            5.0,
            4.0,
            2.0,
            2.0,
            19.0,
            5.0,
            2.0,
            2.5896,
            -2.5978,
            -0.4562,
            0.2685,
            0.3668,
            0.3278,
            -2.8442,
            -2.0952,
            -1.9486,
            -4.2969,
            -1.9486,
            3.5491,
            4.2768,
            1.4481,
            9.8343,
            -0.1522,
            -0.0734,
            -0.0251,
            0.034,
            -0.3973,
            2.8712,
            -7.5935,
            -4.2142,
            -20.5453,
            -20.5453,
            -20.5453,
            7.1132,
            0.664,
            0.664,
            -0.2249,
            5.8264,
            2.4067,
            2.738,
            1.6191,
            2.0065,
            13.0,
            9.0,
            6.0,
            2.0,
            16.0,
            7.0,
            5.0,
            5.0,
            3.0,
            8.0,
            2.0,
            -0.9585,
            -0.9727,
            -0.4273,
            -0.1057,
            1.5964,
            2.6261,
            3.1335,
            0.0586,
            -1.2132,
            6.9208,
            0.9881,
            1.0574,
            6.1233,
            6.9754,
            3.9667,
            2.3506,
            3.648,
            2.0095,
            1.8441,
            1.7044,
            0.7444,
            -0.3516,
            0.2195,
            0.0107,
            -0.1628,
            -0.1599,
            -0.6474,
            -1.8152,
            -3.5157,
            -13.8948,
            -13.8948,
            -3.3825,
            -1.5874,
            11.7801,
            11.7801,
            11.7801,
            11.7801,
            -2.3091,
            2.3791,
            3.4637,
            3.3465,
            0.7164,
            4.0,
            2.0,
            2.0,
            1.0,
            15.0,
            2.0,
            1.0,
            25.0,
            4.0,
            2.0,
            18.0,
            9.0,
            5.0,
            3.0,
            2.0,
            0.8002,
            0.3679,
            0.5933,
            0.0689,
            -0.206,
            -0.7244,
            -1.0147,
            -0.7604,
            0.0719,
            2.6168,
            3.4038,
            3.0953,
            1.1741,
            1.2551,
            0.6861,
            0.739,
            0.019,
            0.0004,
            0.1508,
            -0.3995,
            -0.077,
            -0.3018,
            -1.3264,
            -3.8379,
            -3.8379,
            -3.8379,
            -3.8379,
            0.7564,
            4.4611,
            4.4611,
            -0.5327,
            1.9443,
            1.8391,
            2.6873,
            1.4649,
            3.3792,
            1.6073,
            2.0,
            1.0,
            2.0,
            4.0,
            4.0,
            1.0,
            2.0,
            10.0,
            5.0,
            5.0,
            2.0,
            13.0,
            3.0,
            1.0171,
            0.3971,
            0.9981,
            0.3379,
            -1.2305,
            0.2237,
            0.7657,
            -0.2956,
            7.3739,
            9.2898,
            -0.0118,
            -0.0341,
            0.0528,
            0.3594,
            0.4754,
            0.2248,
            -0.4803,
            -1.4201,
            -24.5163,
            -24.5163,
            -3.2893,
            -0.522,
            0.3409,
            -23.5708,
            -23.5708,
            -23.5708,
            8.3017,
            8.3017,
            -4.541,
            7.7824,
            7.7824,
            6.9487,
            6.9487,
            6.9487,
            3.6155,
            4.3306,
            3.2127,
            10.6375,
            1.1479,
            12.0,
            8.0,
            5.0,
            4.0,
            2.0,
            2.0,
            4.0,
            3.0,
            6.0,
            4.0,
            1.0,
        ],
        [
            -0.2628,
            -0.4174,
            -0.2497,
            -0.2975,
            -0.3589,
            -0.2838,
            -0.4313,
            -0.2747,
            -0.2747,
            -0.2719,
            -0.2733,
            -0.2733,
            -0.2688,
            -0.1709,
            0.1104,
            0.1401,
            0.0755,
            0.0601,
            0.0004,
            0.0014,
            -0.0015,
            -0.0597,
            -0.0673,
            -0.1446,
            0.0035,
            0.0003,
            0.0494,
            -0.5414,
            -0.5383,
            -0.4253,
            -0.3482,
            -0.3482,
            -0.1636,
            -0.1636,
            0.126,
            0.01,
            0.01,
            -0.2313,
            0.1854,
            0.1497,
            0.1181,
            0.0949,
            0.0786,
            28.0,
            15.0,
            14.0,
            8.0,
            4.0,
            2.0,
            4.0,
            1.0,
            14.0,
            12.0,
            5.0,
            2.0,
            25.0,
            13.0,
            7.0,
            5.0,
            3.0,
            0.1297,
            0.2855,
            0.0275,
            0.0465,
            0.2827,
            0.3793,
            0.0723,
            -0.0717,
            0.514,
            0.2977,
            0.2886,
            -0.0074,
            0.0049,
            -0.1451,
            -0.0067,
            -0.0756,
            -0.1622,
            0.2827,
            0.2827,
            -0.6229,
            -0.6229,
            -0.6229,
            -0.6229,
            -0.3083,
            0.107,
            0.5415,
            0.5415,
            0.4272,
            0.753,
            0.6396,
            0.5376,
            0.1396,
            9.0,
            5.0,
            3.0,
            3.0,
            1.0,
            2.0,
            5.0,
            2.0,
            2.0,
            1.0,
            18.0,
            5.0,
            2.0,
            -0.1212,
            0.0148,
            -0.0418,
            -0.1535,
            -0.1382,
            -0.286,
            -0.0172,
            -0.036,
            -0.0355,
            -0.077,
            -0.0376,
            0.0885,
            0.042,
            0.0349,
            0.0515,
            -0.0001,
            0.241,
            -0.0004,
            -0.0009,
            -0.0019,
            -0.0434,
            -0.0713,
            -0.0566,
            -0.0645,
            -0.0645,
            -0.0645,
            0.5172,
            0.1053,
            0.0184,
            0.117,
            0.0993,
            0.0289,
            0.135,
            0.1075,
            0.0986,
            16.0,
            13.0,
            5.0,
            1.0,
            14.0,
            8.0,
            7.0,
            5.0,
            4.0,
            6.0,
            4.0,
            0.0075,
            0.0016,
            -0.0179,
            -0.0237,
            -0.0313,
            -0.0502,
            -0.0659,
            0.0053,
            0.02,
            0.1465,
            -0.0346,
            -0.1278,
            0.0722,
            0.076,
            0.0593,
            0.0278,
            0.0844,
            0.0493,
            0.0466,
            0.0365,
            0.0472,
            0.0018,
            -0.0213,
            -0.0011,
            -0.0029,
            -0.0047,
            -0.0072,
            -0.045,
            0.0322,
            -0.1145,
            0.0186,
            -0.1491,
            -0.0613,
            0.1571,
            0.1571,
            0.1571,
            0.1571,
            0.0692,
            0.1192,
            0.0852,
            0.0273,
            0.04,
            5.0,
            5.0,
            2.0,
            1.0,
            16.0,
            4.0,
            2.0,
            22.0,
            5.0,
            3.0,
            16.0,
            9.0,
            7.0,
            4.0,
            1.0,
            0.0132,
            0.008,
            0.0013,
            0.0065,
            -0.0062,
            0.0426,
            0.0506,
            0.0586,
            0.0107,
            0.0306,
            0.0373,
            0.0462,
            0.0261,
            0.0348,
            0.0493,
            0.0127,
            -0.0009,
            -0.0034,
            -0.0064,
            0.0586,
            0.0013,
            0.0128,
            0.0426,
            -0.0746,
            -0.0746,
            -0.0746,
            -0.0746,
            -0.0746,
            0.0293,
            0.0293,
            0.0107,
            0.0346,
            0.0479,
            0.0453,
            0.0659,
            0.036,
            0.0293,
            3.0,
            2.0,
            1.0,
            9.0,
            3.0,
            2.0,
            1.0,
            13.0,
            8.0,
            5.0,
            1.0,
            12.0,
            2.0,
            0.0057,
            0.0627,
            0.2916,
            0.0015,
            -0.1758,
            0.1119,
            0.1598,
            0.285,
            0.1435,
            0.1037,
            -0.0021,
            -0.0088,
            -0.005,
            0.0743,
            0.1079,
            -0.015,
            0.0292,
            -0.0629,
            -0.2983,
            -0.2983,
            -0.2983,
            -0.0959,
            0.1438,
            -0.1838,
            -0.1545,
            0.0639,
            0.1651,
            0.1651,
            0.1651,
            0.3915,
            0.3915,
            0.293,
            0.293,
            0.293,
            0.3129,
            0.2117,
            0.1978,
            0.0453,
            0.0293,
            8.0,
            5.0,
            3.0,
            1.0,
            2.0,
            1.0,
            4.0,
            3.0,
            8.0,
            4.0,
            2.0,
        ],
        [
            4.2891,
            13.4145,
            6.6446,
            12.1908,
            12.1908,
            12.1908,
            13.732,
            9.7766,
            9.7766,
            9.114,
            10.1845,
            12.3338,
            8.6424,
            -0.6101,
            9.9876,
            3.7595,
            4.9067,
            3.8179,
            0.0304,
            0.0408,
            0.327,
            2.0004,
            6.0099,
            15.8918,
            -0.3002,
            -0.3467,
            -0.7077,
            -19.5103,
            -19.5103,
            3.8684,
            -10.2072,
            -10.2072,
            23.3188,
            9.4743,
            21.4385,
            21.4385,
            21.4385,
            19.8883,
            21.8947,
            14.4666,
            9.5946,
            4.8665,
            6.2331,
            14.0,
            7.0,
            6.0,
            3.0,
            2.0,
            1.0,
            3.0,
            2.0,
            18.0,
            16.0,
            6.0,
            2.0,
            35.0,
            20.0,
            10.0,
            7.0,
            4.0,
            -4.0289,
            -0.1436,
            -3.2444,
            0.5401,
            -5.7906,
            0.1528,
            -10.4552,
            -10.4552,
            -10.4552,
            11.4222,
            3.1438,
            -0.167,
            -0.2499,
            -0.5349,
            0.1004,
            0.7641,
            -10.6309,
            -22.5108,
            -22.5108,
            -20.4405,
            -20.4405,
            -20.4405,
            -20.4405,
            -20.3339,
            -18.8419,
            1.0488,
            1.0488,
            11.5871,
            17.872,
            11.7128,
            2.0815,
            22.3148,
            11.0,
            5.0,
            4.0,
            4.0,
            4.0,
            2.0,
            6.0,
            2.0,
            1.0,
            2.0,
            13.0,
            3.0,
            1.0,
            -0.6447,
            -2.0216,
            -0.4084,
            0.4094,
            -0.0646,
            -0.0646,
            -2.569,
            -1.6446,
            -1.9556,
            -1.6194,
            -0.1541,
            2.8586,
            3.4433,
            3.9922,
            0.6163,
            -0.759,
            0.5645,
            -0.002,
            0.1068,
            0.0721,
            1.3013,
            -7.2982,
            -7.2982,
            -5.129,
            -3.8367,
            -3.8367,
            1.921,
            -3.8267,
            -3.8267,
            -0.5153,
            4.8993,
            3.1183,
            3.554,
            4.4967,
            3.6296,
            24.0,
            19.0,
            11.0,
            2.0,
            20.0,
            10.0,
            7.0,
            2.0,
            2.0,
            5.0,
            2.0,
            0.4861,
            -0.4661,
            -0.1263,
            -0.1369,
            0.2469,
            0.4558,
            -1.1772,
            -0.554,
            -1.2678,
            -0.4874,
            0.2397,
            2.2079,
            1.8964,
            2.0652,
            2.1571,
            2.3256,
            2.2002,
            1.9795,
            2.1523,
            1.8917,
            2.346,
            -0.1312,
            3.0394,
            0.0167,
            -0.008,
            0.0341,
            0.0873,
            0.248,
            1.1841,
            -4.4825,
            -4.4825,
            -4.0537,
            1.8004,
            6.1737,
            2.6074,
            2.0907,
            2.0055,
            4.6982,
            1.4069,
            2.3624,
            2.168,
            2.7606,
            9.0,
            7.0,
            4.0,
            2.0,
            18.0,
            2.0,
            1.0,
            21.0,
            1.0,
            4.0,
            18.0,
            10.0,
            6.0,
            3.0,
            2.0,
            0.0269,
            0.2836,
            2.0848,
            -0.0445,
            -1.5279,
            0.032,
            0.032,
            -0.0426,
            -0.7378,
            0.4035,
            -0.7378,
            2.5702,
            2.8941,
            1.8445,
            1.7309,
            1.5349,
            0.0148,
            0.0192,
            0.004,
            0.3076,
            0.0485,
            0.3569,
            -0.4022,
            -2.9404,
            -2.9404,
            -2.9404,
            -2.9404,
            -1.4089,
            5.7129,
            5.7129,
            5.5585,
            0.9215,
            2.1866,
            2.0162,
            2.4396,
            2.6454,
            3.6089,
            4.0,
            3.0,
            1.0,
            6.0,
            4.0,
            3.0,
            1.0,
            8.0,
            4.0,
            2.0,
            2.0,
            7.0,
            2.0,
            -0.0508,
            -1.5198,
            -4.6376,
            -0.7001,
            -4.3027,
            0.4368,
            1.891,
            10.9758,
            6.2654,
            2.6736,
            0.0739,
            0.1631,
            0.3734,
            2.13,
            5.7223,
            -0.0046,
            -0.8931,
            3.4592,
            -11.4685,
            -11.4685,
            -9.732,
            -9.732,
            4.027,
            -8.0434,
            -7.4814,
            -6.7543,
            9.13,
            9.13,
            9.13,
            11.0264,
            11.0264,
            8.6347,
            8.6347,
            8.6347,
            9.5042,
            9.0541,
            10.5956,
            4.8713,
            7.4261,
            9.0,
            5.0,
            5.0,
            2.0,
            2.0,
            1.0,
            5.0,
            3.0,
            9.0,
            3.0,
            1.0,
        ],
        [
            1.0659,
            1.6242,
            0.7283,
            0.8023,
            0.9489,
            0.3092,
            -0.3061,
            0.6119,
            0.5851,
            0.5325,
            0.4728,
            0.4187,
            0.4187,
            0.6057,
            1.1164,
            1.1937,
            1.1958,
            0.3862,
            -0.0063,
            -0.0023,
            0.0106,
            -0.0569,
            0.0615,
            -1.4211,
            -0.1252,
            -0.077,
            0.4729,
            -1.0242,
            -0.9093,
            -0.9093,
            -0.9682,
            0.5851,
            2.1394,
            2.1394,
            3.4906,
            3.4906,
            3.4906,
            2.0806,
            2.0983,
            1.164,
            0.395,
            1.0179,
            0.4537,
            21.0,
            11.0,
            11.0,
            7.0,
            3.0,
            1.0,
            3.0,
            1.0,
            15.0,
            13.0,
            6.0,
            2.0,
            23.0,
            13.0,
            7.0,
            4.0,
            2.0,
            -0.2676,
            -0.8001,
            0.0606,
            -2.7532,
            0.2601,
            -1.2774,
            -0.5518,
            -2.3896,
            -1.9472,
            2.6242,
            2.09,
            0.0142,
            0.1108,
            -0.9356,
            0.0291,
            0.4544,
            1.3808,
            0.5349,
            0.5349,
            -5.0414,
            -5.0414,
            -5.0414,
            -5.0414,
            -4.1548,
            1.7519,
            0.8481,
            0.2601,
            2.2588,
            5.4802,
            4.1991,
            1.6834,
            0.6175,
            8.0,
            4.0,
            3.0,
            2.0,
            1.0,
            1.0,
            3.0,
            1.0,
            1.0,
            2.0,
            18.0,
            4.0,
            2.0,
            -0.0178,
            -0.5285,
            -0.3094,
            -1.2241,
            0.0524,
            -0.0645,
            -0.3966,
            -0.4672,
            -0.5874,
            -0.6131,
            -0.5777,
            0.7205,
            0.491,
            0.1264,
            0.4154,
            0.0566,
            0.0655,
            -0.0003,
            -0.0141,
            -0.044,
            -0.3156,
            -1.023,
            -0.9125,
            -1.4533,
            -0.9829,
            -0.9058,
            0.931,
            -0.1604,
            -0.1604,
            0.0922,
            0.7573,
            0.7934,
            0.5855,
            0.3968,
            0.4968,
            11.0,
            10.0,
            6.0,
            1.0,
            16.0,
            11.0,
            8.0,
            5.0,
            2.0,
            5.0,
            2.0,
            -0.0228,
            0.074,
            -0.0421,
            -0.0073,
            0.1277,
            0.4155,
            1.0507,
            -0.0346,
            -0.1238,
            -0.2131,
            0.04,
            0.7671,
            0.5644,
            0.6569,
            0.2721,
            0.2458,
            0.713,
            0.7541,
            0.7466,
            0.5608,
            0.329,
            0.0962,
            -0.2789,
            -0.0028,
            -0.0057,
            -0.0259,
            -0.0575,
            -0.0222,
            0.6341,
            -1.1959,
            -1.1959,
            -1.0867,
            -1.0867,
            1.5714,
            1.5714,
            0.3382,
            0.0,
            -0.0666,
            0.4614,
            0.7417,
            0.1851,
            0.1412,
            3.0,
            2.0,
            1.0,
            2.0,
            11.0,
            1.0,
            2.0,
            20.0,
            5.0,
            3.0,
            19.0,
            12.0,
            8.0,
            4.0,
            3.0,
            -0.0025,
            -0.0633,
            -0.6306,
            0.5707,
            0.3382,
            0.2424,
            0.04,
            -0.0453,
            -0.3942,
            -0.2637,
            0.2051,
            0.4897,
            0.2705,
            0.7564,
            0.4378,
            0.3369,
            -0.0043,
            0.0039,
            0.0565,
            -0.2876,
            0.0287,
            -0.0525,
            -0.4501,
            -1.2038,
            -1.2038,
            -1.2038,
            -1.2038,
            -0.7644,
            0.1811,
            0.1811,
            0.1731,
            0.5646,
            1.0094,
            0.8017,
            0.4561,
            0.2277,
            0.1305,
            2.0,
            1.0,
            1.0,
            4.0,
            2.0,
            2.0,
            1.0,
            10.0,
            7.0,
            5.0,
            2.0,
            12.0,
            2.0,
            0.1605,
            -0.3496,
            0.7091,
            0.0961,
            1.2917,
            0.309,
            0.4807,
            -0.5273,
            0.9518,
            0.3687,
            0.0214,
            0.0636,
            0.1113,
            -0.6697,
            -0.7671,
            0.0977,
            0.3487,
            0.1521,
            -1.8324,
            -1.8324,
            -1.8324,
            -1.8324,
            -1.8031,
            -2.2798,
            0.6099,
            0.6099,
            1.6593,
            1.6593,
            1.6593,
            2.2665,
            2.2665,
            1.9629,
            1.9629,
            1.9629,
            2.5249,
            2.116,
            2.5682,
            0.245,
            0.7378,
            6.0,
            4.0,
            3.0,
            1.0,
            1.0,
            1.0,
            4.0,
            2.0,
            8.0,
            3.0,
            2.0,
        ],
    ]
)
